Package org.eclipse.rap.rwt.client.service

# Interface ClientFileLoader

All Superinterfaces:
  `ClientService`, `Serializable`

public interface ClientFileLoader extends ClientService
The ClientFileLoader service allows loading additional JavaScript and CSS files at runtime.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`requireCss(String url)`
Instructs the client to immediately load and include CSS file from the given URL.
`void`
`requireJs(String url)`
Instructs the client to immediately load and execute a JavaScript file from the given URL.

## Method Details

### requireJs

void requireJs(String url)
Instructs the client to immediately load and execute a JavaScript file from the given URL. If the file has already been loaded by the client, it won't be loaded again.

Files can be registered with the `ResourceManager`.

Parameters:
  `url` - the URL from which to load the JavaScript file

### requireCss

void requireCss(String url)
Instructs the client to immediately load and include CSS file from the given URL. If the file has already been loaded by the client, it won't be loaded again.

Files can be registered with the `ResourceManager`.

Parameters:
  `url` - the URL from which to load the CSS file